<div
    class="registered-view"
    *ngIf="data.transProject$">
    <div class="card-group">
        <div class="card-col pr-0 pb-3 pl-0 w-100">
            <div class="card bg-white border-0 rounded-0">
                <div class="card-body pt-0 pr-3 pb-0 pl-3">
                    <div class="card-title mb-0">
                        <span class="bold text-dark size24">
                            {{ 'registered.label' | translate | titlecase }}
                        </span>
                    </div>
                </div>
            </div>
            <div class="dropdown-divider mt-2 mb-0"></div>
            <div class="card card-horizontal bg-white border-0 rounded-0 project-card-horizontal">
                <div class="card-body pt-0 pr-3 pb-3 pl-3 project-body">
                    <div class="card-text">
                        <div class="d-table w-100">
                            <div class="d-table-cell col-sm-3 w-25 pr-0 pl-0 align-top">
                                <ng-container
                                    *ngTemplateOutlet="
                                        titleInfo;
                                        context: {
                                            cardType: 'horizontal'
                                        }">
                                </ng-container>
                            </div>
                            <div class="d-table-cell col-sm-9 w-75 pt-2 pr-0 align-top">
                                <ng-container *ngTemplateOutlet="projectInfo"></ng-container>
                                <div class="mt-2">
                                    <ng-container *ngTemplateOutlet="projectAboutResultInfo"></ng-container>
                                </div>
                                <div class="mt-06">
                                    <ng-container *ngTemplateOutlet="registerInfo"></ng-container>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="card card-vertical bg-white border-0 rounded-0 project-card-vertical">
                <div class="card-body pt-0 pr-3 pb-3 pl-3 project-body">
                    <div class="card-text">
                        <ng-container
                            *ngTemplateOutlet="
                                titleInfo;
                                context: {
                                    cardType: 'vertical'
                                }">
                        </ng-container>
                        <div class="mt-3">
                            <ng-container *ngTemplateOutlet="projectInfo"></ng-container>
                        </div>
                        <div class="mt-2">
                            <ng-container *ngTemplateOutlet="projectAboutResultInfo"></ng-container>
                        </div>
                        <div class="mt-06">
                            <ng-container *ngTemplateOutlet="registerInfo"></ng-container>
                        </div>
                    </div>
                </div>
            </div>
            <div class="pr-3 pl-3">
                <div
                    class="w-100 text-center"
                    *ngIf="transRegistered.isLoading">
                    <i class="fas fa-circle-notch fa-spin size48"></i>
                </div>
                <div *ngIf="registeredInfos.show">
                    <ng-container *ngTemplateOutlet="registeredInfo"></ng-container>
                    <div class="registered-btn mt-3 ml-auto project-registered-btn">
                        <a
                            class="btn btn-success border-0"
                            (click)="saveChange.action()">
                            <span class="font bold text-white size20">
                                {{ 'registered.confirm' | translate | titlecase }}
                            </span>
                        </a>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<ng-template
    #datetimeVerticalInfo
    let-data="data">
    <div
        class="datetime-vertical bold text-body"
        *ngIf="data">
        <div class="day bolder size24">
            <div>
                {{ data | slice:5:6 }}
            </div>
            <div>
                {{ data | slice:6:7 }}
            </div>
        </div>
        <div class="clearfix"></div>
        <div class="month size16">
            <div>
                {{ (data | slice:8:9) | uppercase }}
            </div>
            <div>
                {{ (data | slice:9:10) | uppercase }}
            </div>
            <div>
                {{ (data | slice:10:11) | uppercase }}
            </div>
        </div>
        <div class="clearfix"></div>
        <div class="year size14">
            <div>
                {{ data | slice:12:13 }}
            </div>
            <div>
                {{ data | slice:13:14 }}
            </div>
            <div>
                {{ data | slice:14:15 }}
            </div>
            <div>
                {{ data | slice:15:16 }}
            </div>
        </div>
        <div class="clearfix"></div>
        <div class="time size11 text-secondary">
            <div>
                {{ data | slice:17:18 }}
            </div>
            <div>
                {{ data | slice:18:19 }}
            </div>
            <div>
                {{ data | slice:19:20 }}
            </div>
            <div>
                {{ data | slice:20:21 }}
            </div>
            <div>
                {{ data | slice:21:22 }}
            </div>
        </div>
        <div class="clearfix"></div>
    </div>
</ng-template>
<ng-template
    #titleInfo
    let-cardType="cardType">
    <div class="title-info project-title-info">
        <div class="embed-responsive embed-responsive-16by9 project-logo">
            <div
                class="card-img project-card-img"
                [ngStyle]="{
                    'background-image': ('url(' + data.transProject$.project.logo + ')')
                }">
            </div>
            <a
                class="enlarge"
                href="javascript:void(0)"
                (click)="appService.enlargeImage(data.transProject$.project.logo)">
                <i class="fas fa-expand text-white size18"></i>
            </a>
        </div>
        <div class="card-title mt-07 mb-0">
            <div
                class="float-left"
                *ngIf="data.transProject$.examDate.startDate">
                <ng-container
                    *ngTemplateOutlet="
                        datetimeVerticalInfo;
                        context: {
                            data: data.transProject$.examDate.startDate
                        }">
                </ng-container>
            </div>
            <div
                class="float-left"
                *ngIf="data.transProject$.examDate.endDate">
                <div class="d-table">
                    <div class="d-table-cell align-middle">
                        <span class="bolder size20">
                            &nbsp;-&nbsp;
                        </span>
                    </div>
                    <div class="d-table-cell">
                        <ng-container
                            *ngTemplateOutlet="
                                datetimeVerticalInfo;
                                context: {
                                    data: data.transProject$.examDate.endDate
                                }">
                        </ng-container>
                    </div>
                </div>
            </div>
            <div class="float-right line-height-0">
                <div
                    class="registration-status text-right project-registration-status"
                    title="{{ (dataService.statuses.get(dataService.registrationStatus.data$, data.transProject$.registrationStatus)).name[appService.lang] | titlecase }}"
                    ngbTooltip="{{ (dataService.statuses.get(dataService.registrationStatus.data$, data.transProject$.registrationStatus)).name[appService.lang] | titlecase }}"
                    placement="left">
                    <i
                        class="fas fa-lock size30"
                        [ngClass]="{
                            'text-success': (data.transProject$.registrationStatus === 'Y'),
                            'text-warning': (data.transProject$.registrationStatus === 'W'),
                            'text-danger': (data.transProject$.registrationStatus === 'N'),
                            'fa-unlock': (data.transProject$.registrationStatus === 'Y'),
                            'fa-lock': (data.transProject$.registrationStatus !== 'Y')
                        }">
                    </i>
                </div>
                <div
                    ngbDropdown
                    class="text-right project-dropdown mt-2"
                    placement="bottom-{{ cardType === 'horizontal' ? 'left' : 'right' }}">
                    <a
                        ngbDropdownToggle
                        class="badge badge-pill badge-dark btn-contact-info"
                        href="javascript:void(0)">
                        <i class="fas fa-phone text-white size11"></i>
                    </a>
                    <div
                        ngbDropdownMenu
                        class="contact-info"
                        aria-labelledby="contact-info">
                        <div class="dropdown-menu-inner">
                            <ng-container
                                *ngTemplateOutlet="
                                    contactInfo;
                                    context: {
                                        isDropdown: true
                                }">
                            </ng-container>
                        </div>
                    </div>
                </div>
            </div>
            <div class="clearfix"></div>
        </div>
    </div>
</ng-template>
<ng-template #projectInfo>
    <div class="project-info">
        <p class="bold size20 mb-0">
            {{ data.transProject$.project.name[appService.lang] }}
        </p>
        <div
            class="regular text-dark size15"
            *ngIf="data.transProject$.description[appService.lang]">
            {{ data.transProject$.description[appService.lang] }}
        </div>
        <div
            class="regular text-dark mt-1 mb-1 project-openonlyfor-info"
            *ngIf="appService.doIsEmptyObject(data.transProject$.userTypeSpecific) === false">
            <span class="bold size15">
                {{ 'openOnlyFor' | translate | lowercase }}
            </span>
            <div
                class="usertype text-dark mt-1"
                *ngFor="let userTypeSpecific of data.transProject$.userTypeSpecific | keyvalue: appService.doObjectUnsorted">
                - {{ ('userType.' + userTypeSpecific.key) | translate | lowercase }}
                <div
                    class="usertype-property text-muted size12"
                    *ngIf="appService.doIsEmptyObject(userTypeSpecific.value) === false">
                    <div *ngFor="let userTypeSpecificProperty of userTypeSpecific.value | keyvalue">
                        {{ ('userType.property.' + userTypeSpecificProperty.key) | translate | lowercase }}
                        {{ userTypeSpecificProperty.value }}
                    </div>
                </div>
            </div>
        </div>
        <div>
            <a
                class="link regular size14"
                routerLink="../../../../Project/{{ data.transProject$.project.category.initial }}">
                #{{ data.transProject$.project.category.name[appService.lang] | titlecase }}
            </a>
        </div>
        <div
            class="badge badge-pill badge-danger project-btn-badge mt-2"
            *ngIf="data.transProject$.registrationStatus !== 'Y'">
            <span class="regular text-white size13">
                {{ (dataService.statuses.get(dataService.registrationStatus.data$, data.transProject$.registrationStatus)).name[appService.lang] | lowercase }}
            </span>
        </div>
    </div>
</ng-template>
<ng-template #projectAboutResultInfo>
    <div class="aboutresult-info project-aboutresult-info">
        <a
            class="d-inline-block badge badge-pill badge-light-dark badge-projectabout project-btn-badge"
            href="javascript:void(0)"
            (click)="
                projectAbout.isCollapsed = !projectAbout.isCollapsed
            "
            [attr.aria-expanded]="projectAbout.isCollapsed"
            aria-controls="projectAbout">
            <span class="regular size13">
                {{ 'about' | translate | lowercase }}
            </span>
        </a>
        <a
            class="d-inline-block badge badge-pill badge-light-dark badge-schedule project-btn-badge ml-2"
            href="javascript:void(0)"
            *ngIf="data.transProject$.project.isTeaching === 'Y'"
            (click)="scheduleService.getModalTransSchedule(data.transProject$)"
            [attr.aria-expanded]="schedule.isCollapsed">
            <span class="regular size13">
                {{ 'schedule.label' | translate | lowercase }}
            </span>
        </a>
        <p class="regular text-black-50 size16 line-clamp mt-2 mb-0">
            <span
                id="projectAbout"
                [ngbCollapse]="!projectAbout.isCollapsed">
                <span class="text-justify-distribute" [innerHTML]="data.transProject$.project.about[appService.lang] | nl2br"></span>
                <div class="text-dark mt-2">
                    <span *ngIf="data.transProject$.project.isExam === 'Y'">
                        {{ 'event.timePeriod.exam' | translate | titlecase }}
                    </span>
                    <span *ngIf="data.transProject$.project.isTeaching === 'Y'">
                        {{ 'event.timePeriod.teaching' | translate | titlecase }}
                    </span>
                </div>
                <div class="project-register-info">
                    <div class="form">
                        <div
                            class="form-group w-100 row mr-0 mb-0 ml-0"
                            *ngIf="data.transProject$.examDate.startDate">
                            <label
                                class="col-form-label"
                                for="col-eventstartdate">
                                {{ 'start' | translate | titlecase }}
                            </label>
                            <div class="col">
                                <div class="d-table w-100 size-l calendar-date">
                                    <div class="d-table-row">
                                        <div class="d-table-cell align-middle col-calendar">
                                            <span>
                                                {{ data.transProject$.examDate.startDate ? (data.transProject$.examDate.startDate | slice:0:16) : '' }}
                                            </span>
                                        </div>
                                        <div class="d-table-cell align-middle col-clock">
                                            <span class="font-tahoma size14">
                                                {{ data.transProject$.examDate.startDate ? (data.transProject$.examDate.startDate | slice:16:22) : '' }}
                                            </span>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div
                            class="form-group w-100 row mr-0 mb-0 ml-0"
                            *ngIf="data.transProject$.examDate.endDate">
                            <label
                                class="col-form-label"
                                for="col-eventenddate">
                                {{ 'end' | translate | titlecase }}
                            </label>
                            <div class="col">
                                <div class="d-table w-100 size-l calendar-date">
                                    <div class="d-table-row">
                                        <div class="d-table-cell align-middle col-calendar">
                                            <span>
                                                {{ data.transProject$.examDate.endDate ? (data.transProject$.examDate.endDate | slice:0:16) : '' }}
                                            </span>
                                        </div>
                                        <div class="d-table-cell align-middle col-clock">
                                            <span class="font-tahoma size14">
                                                {{ data.transProject$.examDate.endDate ? (data.transProject$.examDate.endDate | slice:16:22) : '' }}
                                            </span>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="text-dark mt-2">
                    {{ 'contact.label' | translate | titlecase }}
                </div>
                <div>
                    <ng-container
                        *ngTemplateOutlet="
                            contactInfo;
                            context: {
                                isDropdown: false
                            }">
                    </ng-container>
                </div>
            </span>
        </p>
    </div>
</ng-template>
<ng-template #registerInfo>
    <div class="register-info project-register-info">
        <div class="regular size16">
            <div class="text-dark">
                {{ 'event.timePeriod.registration' | translate | lowercase }}
            </div>
            <div class="d-table w-auto size-l mb-01 calendar-date">
                <div
                    class="d-table-row"
                    title="{{ 'project.registrationDate' | translate | titlecase }} ( {{ 'start' | translate | titlecase }} )"
                    ngbTooltip="{{ 'project.registrationDate' | translate | titlecase }} ( {{ 'start' | translate | titlecase }} )">
                    <div class="d-table-cell align-middle col-icon">
                        <span class="text-success size22">
                            <i class="fas fa-calendar-alt"></i>
                        </span>
                    </div>
                    <div class="d-table-cell align-middle col-calendar">
                        <span class="text-success">
                            {{ data.transProject$.registrationDate.startDate ? (data.transProject$.registrationDate.startDate | slice:0:16) : '' }}
                        </span>
                    </div>
                    <div class="d-table-cell align-middle col-icon">
                        <span class="text-success size22">
                            <i class="fas fa-clock"></i>
                        </span>
                    </div>
                    <div class="d-table-cell align-middle col-clock">
                        <span class="font-tahoma text-success size14">
                            {{ data.transProject$.registrationDate.startDate ? (data.transProject$.registrationDate.startDate | slice:16:22) : '' }}
                        </span>
                    </div>
                </div>
            </div>
            <div class="d-table w-auto size-l calendar-date">
                <div
                    class="d-table-row"
                    title="{{ 'project.registrationDate' | translate | titlecase }} ( {{ 'end' | translate | titlecase }} )"
                    ngbTooltip="{{ 'project.registrationDate' | translate | titlecase }} ( {{ 'end' | translate | titlecase }} )">
                    <div class="d-table-cell align-middle col-icon">
                        <span class="text-danger size22">
                            <i class="fas fa-calendar-alt"></i>
                        </span>
                    </div>
                    <div class="d-table-cell align-middle col-calendar">
                        <span class="text-danger">
                            {{ data.transProject$.registrationDate.endDate ? (data.transProject$.registrationDate.endDate | slice:0:16) : '' }}
                        </span>
                    </div>
                    <div class="d-table-cell align-middle col-icon">
                        <span class="text-danger size22">
                            <i class="fas fa-clock"></i>
                        </span>
                    </div>
                    <div class="d-table-cell align-middle col-clock">
                        <span class="font-tahoma text-danger size14">
                            {{ data.transProject$.registrationDate.endDate ? (data.transProject$.registrationDate.endDate | slice:16:22) : '' }}
                        </span>
                    </div>
                </div>
            </div>
            <div class="d-table w-auto size-l mt-3">
                <div class="d-table-row line-height-0">
                    <div class="d-table-cell align-middle pb-2 col-icon">
                        <span class="text-dark size18">
                            <i class="fas fa-users"></i>
                        </span>
                    </div>
                    <div class="d-table-cell align-middle pb-2">
                        <span class="text-dark">
                            {{ 'project.seat' | translate | titlecase }}
                            <span class="bold">
                                {{ data.transProject$.maximumSeat ? (' ' + (data.transProject$.maximumSeat | number) + ' / ' + (data.transProject$.seatReserved | number) + ' ') : '' }}
                            </span>
                            {{ data.transProject$.maximumSeat ? ('unit.persons' | translate | titlecase) : '' }}
                        </span>
                    </div>
                </div>
                <div class="d-table-row line-height-0">
                    <div class="d-table-cell align-middle col-icon size-l">
                        <span class="size22">
                            <i class="fab fa-btc"></i>
                        </span>
                    </div>
                    <div class="d-table-cell align-middle">
                        <span class="text-dark">
                            {{ 'project.registrationFee' | translate | titlecase }}
                            <span class="bold">
                                {{ data.transProject$.minimumFee ? (' ' + (data.transProject$.minimumFee | number: '.2') + ' ') : '' }}
                            </span>
                            {{ data.transProject$.minimumFee ? ('unit.baht' | translate | titlecase) : '' }}
                        </span>
                    </div>
                </div>
                <div
                    class="d-table-row line-height-0"
                    *ngIf="
                        data.transProject$.privilege !== null &&
                        data.transProject$.privilege.isUse === 'Y'
                    ">
                    <div class="d-table-cell align-middle pt-2 col-icon size-l">
                        <span class="text-info size19">
                            <i class="fas fa-hand-holding-heart"></i>
                        </span>
                    </div>
                    <div class="d-table-cell align-middle pt-2">
                        <span class="text-info">
                            {{ 'privilege.use' | translate | titlecase }}
                        </span>
                    </div>
                </div>
            </div>
        </div>
    </div>
</ng-template>
<ng-template
    #contactInfo
    let-isDropdown="isDropdown">
    <div
        class="contact-info project-contact-info"
        [ngClass]="{
            'text-white': isDropdown,
            'text-black-50': !isDropdown,
            'size14': isDropdown,
            'size16': !isDropdown
        }">
        <div
            class="form"
            *ngFor="
                let contactPerson of data.transProject$.contactPerson;
                index as order
            ">
            <div class="dropdown-divider mt-2 mb-2" *ngIf="order > 0"></div>
            <div class="form-group row mr-0 mb-0 ml-0">
                <label
                    class="col-form-label pb-0"
                    for="col-name"
                    [ngClass]="{
                        'pt-0': isDropdown,
                        'pt-015': !isDropdown
                    }">
                    <i class="fas fa-address-book"></i>
                </label>
                <div class="col text-left">
                    <span class="form-text regular mt-0">
                        {{ contactPerson.fullName[appService.lang] | titlecase }}
                    </span>
                </div>
            </div>
            <div class="form-group row mr-0 mb-0 ml-0">
                <label
                    class="col-form-label pb-0"
                    for="col-email"
                    [ngClass]="{
                        'pt-0': isDropdown,
                        'pt-015': !isDropdown
                    }">
                    <i
                        class="fas fa-envelope">
                    </i>
                </label>
                <div class="col text-left">
                    <span class="form-text regular mt-0">
                        {{ contactPerson.email | lowercase }}
                    </span>
                </div>
            </div>
            <div class="form-group row mr-0 mb-0 ml-0">
                <label
                    class="col-form-label pb-0"
                    for="col-phone"
                    [ngClass]="{
                        'pt-0': isDropdown,
                        'pt-015': !isDropdown
                    }">
                    <i class="fas fa-phone"></i>
                </label>
                <div class="col text-left">
                    <span class="form-text regular mt-0">
                        {{ contactPerson.phoneNumber }}
                    </span>
                </div>
            </div>
        </div>
    </div>
</ng-template>
<ng-template #registeredInfo>
    <div class="registered-info">
        <div class="d-table table-registered">
            <div class="d-table-cell w-58 jumbotron rounded-xl mb-0 p-3 col-locations">
                <div class="border-bottom border-light pb-2">
                    <span
                        class="bold text-primary size20"
                        *ngIf="data.transProject$.project.isExam === 'Y'">
                        {{ ('location.examType.' + data.transProject$.project.examType + '.info') | translate | titlecase }}
                    </span>
                    <span
                        class="bold text-primary size20"
                        *ngIf="data.transProject$.project.isTeaching === 'Y'">
                        {{ 'section.info' | translate | titlecase }}
                    </span>
                    <div
                        class="alert alert-danger mt-2 mb-2"
                        role="alert"
                        *ngIf="!location.saveChange.isValid">
                        <span
                            class="regular size16"
                            *ngIf="data.transProject$.project.isExam === 'Y'">
                            {{ 'registered.save.error.location' | translate }}
                        </span>
                        <span
                            class="regular size16"
                            *ngIf="data.transProject$.project.isTeaching === 'Y'">
                            {{ 'registered.save.error.section' | translate }}
                        </span>
                    </div>
                </div>
                <div *ngIf="data.transProject$.transLocation.length">
                    <div *ngIf="data.transProject$.project.isExam === 'Y'">
                        <ng-container *ngTemplateOutlet="locationInfo"></ng-container>
                    </div>
                    <div *ngIf="data.transProject$.project.isTeaching === 'Y'">
                        <ng-container *ngTemplateOutlet="sectionInfo"></ng-container>
                    </div>
                </div>
            </div>
            <div class="d-table-cell table-cell-divider col-wrap"></div>
            <div class="d-table-cell w-auto jumbotron rounded-xl mb-0 p-3 col-feetype">
                <div class="border-bottom border-light pb-2">
                    <span class="bold text-primary size20">
                        {{ 'fee' | translate | titlecase }}
                    </span>
                </div>
                <div *ngIf="data.transProject$.transFeeType.length">
                    <ng-container *ngTemplateOutlet="feeInfo"></ng-container>
                </div>
            </div>
        </div>
    </div>
</ng-template>
<ng-template #locationInfo>
    <div class="location-info exam-{{ data.transProject$.project.examType }} project-location-info">
        <table class="table table-bordered mb-0">
            <thead class="text-black-50 size18">
                <tr>
                    <th class="border-top-0 border-right-0 border-left-0 border-white pr-0 pl-0 bold col-check">
                        #
                    </th>
                    <th class="border-top-0 border-left-0 border-white pl-2 bold col-index">
                        {{ 'order' | translate | titlecase }}
                    </th>
                    <th class="border-top-0 border-white bold col-location">
                        {{ ('location.examType.' + data.transProject$.project.examType + '.label') | translate | titlecase }}
                    </th>
                    <th class="border-top-0 border-white bold col-building">
                        {{ ('building.examType.' + data.transProject$.project.examType + '.label') | translate | titlecase }}
                    </th>
                    <th class="border-top-0 border-right-0 border-white pr-0 bold col-seat">
                        {{ ('location.examType.' + data.transProject$.project.examType + '.seat') | translate | titlecase }}
                    </th>
                    <!--
                    <th class="border-top-0 border-white bold col-seattotal">
                        {{ ('location.examType.' + data.transProject$.project.examType + '.seatTotal') | translate | titlecase }}
                    </th>
                    <th class="border-top-0 border-right-0 border-white pr-0 bold col-seatavailable">
                        {{ ('location.examType.' + data.transProject$.project.examType + '.seatAvailable') | translate | titlecase }}
                    </th>
                    -->
                    <th class="border-top-0 border-white bold col-wrap col-wrap-step1 col-location-building">
                        {{ ('location.examType.' + data.transProject$.project.examType + '.label') | translate | titlecase }}
                        /
                        {{ ('building.examType.' + data.transProject$.project.examType + '.label') | translate | titlecase }}
                    </th>
                    <th class="border-top-0 border-right-0 border-white pr-0 bold col-wrap col-wrap-step1 col-seat">
                        {{ ('location.examType.' + data.transProject$.project.examType + '.seat') | translate | titlecase }}
                    </th>
                    <!--
                    <th class="border-top-0 border-right-0 border-white pr-0 bold col-wrap col-wrap-step1 col-seat">
                        {{ 'seat.label' | translate | titlecase }}
                        <span class="regular text-muted size12">
                            ( {{ 'total.label' | translate | titlecase }} / {{ 'remain' | translate | titlecase }} )
                        </span>
                    </th>
                    -->
                </tr>
            </thead>
            <tbody
                class="border-top-0 size16"
                *ngFor="
                    let transLocation of data.transProject$.transLocation;
                    index as order
                ">
                <tr>
                    <td class="border-top-0 border-right-0 border-left-0 pr-0 pl-0 regular col-check">
                        <div class="custom-control custom-radio">
                            <input
                                type="radio"
                                class="custom-control-input"
                                id="select-location-{{ transLocation.ID }}"
                                name="select-location"
                                [value]="transLocation"
                                [(ngModel)]="location.formField.room.selected"
                                (ngModelChange)="watchChange()"
                                [disabled]="transLocation.seatAvailable === 0"
                            />
                            <label
                                class="custom-control-label"
                                for="select-location-{{ transLocation.ID }}">
                            </label>
                        </div>
                    </td>
                    <td
                        class="border-top-0 border-right-transparent border-left-0 pl-2 regular col-index"
                        title="{{ 'order' | translate | titlecase }}"
                        ngbTooltip="{{ 'order' | translate | titlecase }}">
                        {{ (order + 1) | number }}
                    </td>
                    <td
                        class="border-top-0 border-right-transparent regular col-location"
                        title="{{ ('location.examType.' + data.transProject$.project.examType + '.label') | translate | titlecase }}"
                        ngbTooltip="{{ ('location.examType.' + data.transProject$.project.examType + '.label') | translate | titlecase }}">
                        {{ transLocation.location.name[appService.lang] }}
                    </td>
                    <td
                        class="border-top-0 border-right-transparent regular col-building"
                        title="{{ ('building.examType.' + data.transProject$.project.examType + '.label') | translate | titlecase }}"
                        ngbTooltip="{{ ('building.examType.' + data.transProject$.project.examType + '.label') | translate | titlecase }}">
                        {{ transLocation.location.building.name[appService.lang] }}
                    </td>
                    <td
                        class="border-top-0 border-right-0 pr-0 regular col-seat"
                        title="{{ ('location.examType.' + data.transProject$.project.examType + '.seat') | translate | titlecase }}"
                        ngbTooltip="{{ ('location.examType.' + data.transProject$.project.examType + '.seat') | translate | titlecase }}">
                        <ng-container
                            *ngTemplateOutlet="
                                seatAmountInfo;
                                context:{
                                    data: transLocation
                                }">
                        </ng-container>
                    </td>
                    <!--
                    <td
                        class="border-top-0 border-right-transparent regular col-seattotal"
                        title="{{ ('location.examType.' + data.transProject$.project.examType + '.seatTotal') | translate | titlecase }}"
                        ngbTooltip="{{ ('location.examType.' + data.transProject$.project.examType + '.seatTotal') | translate | titlecase }}">
                        {{ transLocation.seatTotal }}
                    </td>
                    <td
                        class="border-top-0 border-right-0 pr-0 regular col-seatavailable"
                        title="{{ ('location.examType.' + data.transProject$.project.examType + '.seatAvailable') | translate | titlecase }}"
                        ngbTooltip="{{ ('location.examType.' + data.transProject$.project.examType + '.seatAvailable') | translate | titlecase }}">
                        {{ transLocation.seatAvailable }}
                    </td>
                    -->
                    <td class="border-top-0 border-right-transparent regular col-wrap col-wrap-step1 col-location-building">
                        <ng-container
                            *ngTemplateOutlet="
                                locationBuildingInfo;
                                context: {
                                    project: data.transProject$.project,
                                    transLocation: transLocation
                                }">
                        </ng-container>
                    </td>
                    <td
                        class="border-top-0 border-right-0 pr-0 regular col-wrap col-wrap-step1 col-seat"
                        title="{{ ('location.examType.' + data.transProject$.project.examType + '.seat') | translate | titlecase }}"
                        ngbTooltip="{{ ('location.examType.' + data.transProject$.project.examType + '.seat') | translate | titlecase }}">
                        <ng-container
                            *ngTemplateOutlet="
                                seatAmountInfo;
                                context:{
                                    data: transLocation
                                }">
                        </ng-container>
                    </td>
                    <!--
                    <td class="border-top-0 border-right-0 pr-0 regular col-wrap col-wrap-step1 col-seat">
                        {{ transLocation.seatTotal }} / {{ transLocation.seatAvailable }}
                    </td>
                    -->
                    <td class="border-top-0 border-top-0 border-right-0 border-left-0 pr-0 pl-0 col-wrap col-wrap-step2 regular col-location-building-seat">
                        <ng-container
                            *ngTemplateOutlet="
                                locationBuildingSeatInfo;
                                context: {
                                    project: data.transProject$.project,
                                    transLocation: transLocation
                                }">
                        </ng-container>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
</ng-template>
<ng-template
    #locationBuildingInfo
    let-project="project"
    let-transLocation="transLocation">
    <div class="location-building-info">
        <div class="form">
            <div
                class="form-group row mb-1"
                title="{{ ('location.examType.' + project.examType + '.label') | translate | titlecase }}"
                ngbTooltip="{{ ('location.examType.' + project.examType + '.label') | translate | titlecase }}">
                <div class="col pl-0">
                    <span class="form-text regular">
                        {{ transLocation.location.name[appService.lang] }}
                    </span>
                </div>
            </div>
            <div
                class="form-group row mb-0"
                title="{{ ('building.examType.' + project.examType + '.label') | translate | titlecase }}"
                ngbTooltip="{{ ('building.examType.' + project.examType + '.label') | translate | titlecase }}">
                <div class="col pl-0">
                    <span class="form-text regular">
                        {{ transLocation.location.building.name[appService.lang] }}
                    </span>
                </div>
            </div>
        </div>
    </div>
</ng-template>
<ng-template
    #locationBuildingSeatInfo
    let-project="project"
    let-transLocation="transLocation">
    <div class="location-building-seat-info">
        <div class="form">
            <div
                class="form-group row mb-1"
                title="{{ ('location.examType.' + project.examType + '.label') | translate | titlecase }}"
                ngbTooltip="{{ ('location.examType.' + project.examType + '.label') | translate | titlecase }}">
                <div class="col pl-0">
                    <span class="form-text regular">
                        {{ transLocation.location.name[appService.lang] }}
                    </span>
                </div>
            </div>
            <div
                class="form-group row mb-3"
                title="{{ ('building.examType.' + project.examType + '.label') | translate | titlecase }}"
                ngbTooltip="{{ ('building.examType.' + project.examType + '.label') | translate | titlecase }}">
                <div class="col pl-0">
                    <span class="form-text regular">
                        {{ transLocation.location.building.name[appService.lang] }}
                    </span>
                </div>
            </div>
            <div
                class="form-group row w-100 mb-0"
                title="{{ ('location.examType.' + project.examType + '.seat') | translate | titlecase }}"
                ngbTooltip="{{ ('location.examType.' + project.examType + '.seat') | translate | titlecase }}">
                <div class="col pl-0">
                    <ng-container
                        *ngTemplateOutlet="
                            seatAmountInfo;
                            context:{
                                data: transLocation
                            }">
                    </ng-container>
                    <!--
                    <span class="form-text regular">
                        {{ 'seat.label' | translate | titlecase }} {{ transLocation.seatTotal }} / {{ transLocation.seatAvailable }}
                    </span>
                    <span class="regular text-muted size12">
                        {{ 'total.label' | translate | titlecase }} / {{ 'remain' | translate | titlecase }}
                    </span>
                    -->
                </div>
            </div>
        </div>
    </div>
</ng-template>
<ng-template #sectionInfo>
    <div class="section-info project-section-info">
        <table class="table table-bordered mb-0">
            <thead class="text-black-50 size18">
                <tr>
                    <th class="border-top-0 border-right-0 border-left-0 border-white pr-0 pl-0 bold col-check">
                        #
                    </th>
                    <th class="border-top-0 border-left-0 border-white pl-2 bold col-index">
                        {{ 'order' | translate | titlecase }}
                    </th>
                    <th class="border-top-0 border-white bold col-section">
                        {{ 'section.label' | translate | titlecase }}
                    </th>
                    <th class="border-top-0 border-white bold col-teachingtype">
                        {{ 'teachingType.label' | translate | titlecase }}
                    </th>
                    <th class="border-top-0 border-right-0 border-white pr-0 bold col-seat">
                        {{ 'section.seat' | translate | titlecase }}
                    </th>
                    <!--
                    <th class="border-top-0 border-white bold col-seattotal">
                        {{ 'section.seatTotal' | translate | titlecase }}
                    </th>
                    <th class="border-top-0 border-right-0 border-white pr-0 bold col-seatavailable">
                        {{ 'section.seatAvailable' | translate | titlecase }}
                    </th>
                    -->
                    <th class="border-top-0 border-white bold col-wrap col-wrap-step1 col-section-teachingtype">
                        {{ 'section.label' | translate | titlecase }} / {{ 'teachingType.label' | translate | titlecase }}
                    </th>
                    <th class="border-top-0 border-right-0 border-white pr-0 bold col-wrap col-wrap-step1 col-seat">
                        {{ 'section.seat' | translate | titlecase }}
                    </th>
                </tr>
            </thead>
            <tbody
                class="border-top-0 size16"
                *ngFor="
                    let transLocation of data.transProject$.transLocation;
                    index as order
                ">
                <tr>
                    <td class="border-top-0 border-right-0 border-left-0 pr-0 pl-0 regular col-check">
                        <div class="custom-control custom-radio">
                            <input
                                type="radio"
                                class="custom-control-input"
                                id="select-location-{{ transLocation.ID }}"
                                name="select-location"
                                [value]="transLocation"
                                [(ngModel)]="location.formField.room.selected"
                                (ngModelChange)="watchChange()"
                                [disabled]="transLocation.seatAvailable === 0"
                            />
                            <label
                                class="custom-control-label"
                                for="select-location-{{ transLocation.ID }}">
                            </label>
                        </div>
                    </td>
                    <td
                        class="border-top-0 border-right-transparent border-left-0 pl-2 regular col-index"
                        title="{{ 'order' | translate | titlecase }}"
                        ngbTooltip="{{ 'order' | translate | titlecase }}">
                        {{ (order + 1) | number }}
                    </td>
                    <td
                        class="border-top-0 border-right-transparent regular col-section"
                        title="{{ 'section.label' | translate | titlecase }}"
                        ngbTooltip="{{ 'section.label' | translate | titlecase }}">
                        {{ transLocation.location.name[appService.lang] }}
                    </td>
                    <td
                        class="border-top-0 border-right-transparent regular col-teachingtype"
                        title="{{ 'teachingType.label' | translate | titlecase }}"
                        ngbTooltip="{{ 'teachingType.label' | translate | titlecase }}">
                        {{ 'teachingType.onlineClass' | translate | titlecase }}
                    </td>
                    <td
                        class="border-top-0 border-right-0 pr-0 regular col-seat"
                        title="{{ 'section.seat' | translate | titlecase }}"
                        ngbTooltip="{{ 'section.seat' | translate | titlecase }}">
                        <ng-container
                            *ngTemplateOutlet="
                                seatAmountInfo;
                                context:{
                                    data: transLocation
                                }">
                        </ng-container>
                    </td>
                    <!--
                    <td
                        class="border-top-0 border-right-transparent regular col-seattotal"
                        title="{{ 'section.seatTotal' | translate | titlecase }}"
                        ngbTooltip="{{ 'section.seatTotal' | translate | titlecase }}">
                        {{ transLocation.seatTotal }}
                    </td>
                    <td
                        class="border-top-0 border-right-0 pr-0 regular col-seatavailable"
                        title="{{ 'section.seatAvailable' | translate | titlecase }}"
                        ngbTooltip="{{ 'section.seatAvailable' | translate | titlecase }}">
                        {{ transLocation.seatAvailable }}
                    </td>
                    -->
                    <td class="border-top-0 border-right-transparent regular col-wrap col-wrap-step1 col-section-teachingtype">
                        <ng-container
                            *ngTemplateOutlet="
                                sectionTeachingTypeInfo;
                                context: {
                                    data: transLocation
                                }">
                        </ng-container>
                    </td>
                    <td
                        class="border-top-0 border-right-0 pr-0 regular col-wrap col-wrap-step1 col-seat"
                        title="{{ 'section.seat' | translate | titlecase }}"
                        ngbTooltip="{{ 'section.seat' | translate | titlecase }}">
                        <ng-container
                            *ngTemplateOutlet="
                                seatAmountInfo;
                                context:{
                                    data: transLocation
                                }">
                        </ng-container>
                    </td>
                    <!--
                    <td class="border-top-0 border-right-0 pr-0 regular col-wrap col-wrap-step1 col-seat">
                        {{ transLocation.seatTotal }} / {{ transLocation.seatAvailable }}
                    </td>
                    -->
                    <td class="border-top-0 border-top-0 border-right-0 border-left-0 pr-0 pl-0 col-wrap col-wrap-step2 regular col-section-teachingtype-seat">
                        <ng-container
                            *ngTemplateOutlet="
                                sectionTeachingTypeSeatInfo;
                                context: {
                                    data: transLocation
                                }">
                        </ng-container>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
</ng-template>
<ng-template
    #sectionTeachingTypeInfo
    let-data="data">
    <div class="section-teachingtype-info">
        <div class="form">
            <div
                class="form-group row mb-1"
                title="{{ 'section.label' | translate | titlecase }}"
                ngbTooltip="{{ 'section.label' | translate | titlecase }}">
                <div class="col pl-0">
                    <span class="form-text regular">
                        {{ data.location.name[appService.lang] }}
                    </span>
                </div>
            </div>
            <div
                class="form-group row mb-0"
                title="{{ 'teachingType.label' | translate | titlecase }}"
                ngbTooltip="{{ 'teachingType.label' | translate | titlecase }}">
                <div class="col pl-0">
                    <span class="form-text regular">
                        {{ 'teachingType.onlineClass' | translate | titlecase }}
                    </span>
                </div>
            </div>
        </div>
    </div>
</ng-template>
<ng-template
    #sectionTeachingTypeSeatInfo
    let-data="data">
    <div class="section-teachingtype-seat-info">
        <div class="form">
            <div
                class="form-group row mb-1"
                title="{{ 'section.label' | translate | titlecase }}"
                ngbTooltip="{{ 'section.label' | translate | titlecase }}">
                <div class="col pl-0">
                    <span class="form-text regular">
                        {{ data.location.name[appService.lang] }}
                    </span>
                </div>
            </div>
            <div
                class="form-group row mb-3"
                title="{{ 'teachingType.label' | translate | titlecase }}"
                ngbTooltip="{{ 'teachingType.label' | translate | titlecase }}">
                <div class="col pl-0">
                    <span class="form-text regular">
                        {{ 'teachingType.onlineClass' | translate | titlecase }}
                    </span>
                </div>
            </div>
            <div
                class="form-group row w-100 mb-0"
                title="{{ 'section.seat' | translate | titlecase }}"
                ngbTooltip="{{ 'section.seat' | translate | titlecase }}">
                <div class="col pl-0">
                    <ng-container
                        *ngTemplateOutlet="
                            seatAmountInfo;
                            context:{
                                data: data
                            }">
                    </ng-container>
                    <!--
                    <span class="form-text regular">
                        {{ 'seat.label' | translate | titlecase }} {{ data.seatTotal }} / {{ data.seatAvailable }}
                    </span>
                    <span class="regular text-muted size12">
                        {{ 'total.label' | translate | titlecase }} / {{ 'remain' | translate | titlecase }}
                    </span>
                    -->
                </div>
            </div>
        </div>
    </div>
</ng-template>
<ng-template #feeInfo>
    <div class="fee-info project-fee-info">
        <table class="table table-bordered mb-0">
            <thead class="text-black-50 size18">
                <tr>
                    <th class="w-auto border-top-0 border-right-0 border-left-0 border-white pr-0 pl-0 bold col-check">
                        {{ 'items' | translate | titlecase }}
                    </th>
                    <th class="border-top-0 border-right-0 border-left-0 border-white pr-0 bold col-amount"></th>
                </tr>
            </thead>
            <tbody
                class="border-top-0 size16"
                *ngFor="
                    let transFeeType of data.transProject$.transFeeType;
                    index as order;
                    let last = last
                ">
                <tr>
                    <td
                        class="w-auto border-0 pr-0 pb-0 pl-0 regular col-check"
                        [ngClass]="{
                            'pt-1': (order !== 0)
                        }">
                        <div class="custom-control custom-checkbox">
                            <input
                                type="checkbox"
                                class="custom-control-input"
                                id="select-feetype-{{transFeeType.ID}}"
                                name="select-feetype"
                                [value]="transFeeType.ID"
                                [(ngModel)]="transFeeType.isSelected"
                                (ngModelChange)="watchChange()"
                                [disabled]="transFeeType.requiredStatus === 'Y'"
                                (change)="
                                    feeType.totalFeeAmount = feeType.getTotalFeeAmount();
                                    feeType.setToggle(transFeeType)
                                "
                            />
                            <label
                                class="custom-control-label"
                                for="select-feetype-{{transFeeType.ID}}">
                                {{ transFeeType.feeType.name[appService.lang] }}
                            </label>
                        </div>
                        <a
                            class="badge badge-pill badge-info mt-1 project-btn-badge"
                            href="javascript:void(0)"
                            [ngClass]="{
                                'has-focus': feeType.toggle[transFeeType.feeType.toggle]
                            }"
                            (click)="feeType.toggle[transFeeType.feeType.toggle] = !feeType.toggle[transFeeType.feeType.toggle]"
                            *ngIf="transFeeType.feeType.toggle">
                            <span
                                class="regular text-white size13"
                                *ngIf="transFeeType.feeType.toggle === 'Address'">
                                {{ 'addressDelivery.label' | translate | lowercase }}
                            </span>
                        </a>
                    </td>
                    <td
                        class="border-0 pr-0 pb-0 regular text-right col-amount"
                        [ngClass]="{
                            'pt-1': (order !== 0)
                        }">
                        {{ transFeeType.feeType.amount ? ((transFeeType.feeType.amount | number: '.2') + ' ' + ('unit.baht' | translate | titlecase)) : '' }}
                    </td>
                </tr>
                <tr>
                    <td
                        colspan="2"
                        class="border-0 p-0">
                        <div
                            class="mt-2"
                            id="deliaddress-form"
                            *ngIf="
                                feeType.toggle[transFeeType.feeType.toggle] &&
                                transFeeType.feeType.toggle === 'Address'
                            ">
                            <div class="form horizontal-form bg-warning p-3">
                                <div
                                    class="alert alert-danger mb-2"
                                    role="alert"
                                    *ngIf="!deliAddress.saveChange.isValid">
                                    <span class="regular size16">
                                        {{ 'registered.save.error.deliaddress' | translate }}
                                    </span>
                                </div>
                                <div class="form-group row w-100 mb-1">
                                    <label
                                        class="col-form-label col-form-label-sm pl-0 regular"
                                        for="col-deliaddress-address">
                                        {{ 'address.label' | translate | titlecase }}
                                    </label>
                                    <div class="col">
                                        <textarea
                                            autosize
                                            trimOnBlur
                                            class="form-control form-control-sm regular"
                                            name="col-deliaddress-address"
                                            [(ngModel)]="deliAddress.formField.address"
                                            (ngModelChange)="watchChange()">
                                        </textarea>
                                    </div>
                                </div>
                                <div class="form-group row w-100 mb-1">
                                    <label
                                        class="col-form-label col-form-label-sm pl-0 regular"
                                        for="col-deliaddress-country">
                                        {{ 'address.country' | translate | titlecase }}
                                    </label>
                                    <div class="col">
                                        <i class="fas fa-circle-notch fa-spin mt-2 mb-044" *ngIf="deliAddress.formField.country.isLoading"></i>
                                        <ng-select
                                            class="size-sm"
                                            name="col-deliaddress-country"
                                            placeholder="{{ 'placeholder.selectItem' | translate | titlecase }}"
                                            [(ngModel)]="deliAddress.formField.country.selected"
                                            (ngModelChange)="watchChange()"
                                            (change)="deliAddress.getListProvince()"
                                            *ngIf="!deliAddress.formField.country.isLoading">
                                            <ng-option
                                                *ngFor="let item of data.country$"
                                                [value]="item">
                                                {{ item.name[appService.lang] | titlecase }}
                                            </ng-option>
                                        </ng-select>
                                    </div>
                                </div>
                                <div class="form-group row w-100 mb-1">
                                    <label
                                        class="col-form-label col-form-label-sm pl-0 regular"
                                        for="col-deliaddress-province">
                                        {{ 'address.province' | translate | titlecase }}
                                    </label>
                                    <div class="col">
                                        <i class="fas fa-circle-notch fa-spin mt-2 mb-044" *ngIf="deliAddress.formField.province.isLoading"></i>
                                        <ng-select
                                            class="size-sm"
                                            placeholder="{{ 'placeholder.selectItem' | translate | titlecase }}"
                                            name="col-deliaddress-province"
                                            [(ngModel)]="deliAddress.formField.province.selected"
                                            (ngModelChange)="watchChange()"
                                            (change)="deliAddress.getListDistrict()"
                                            *ngIf="!deliAddress.formField.province.isLoading">
                                            <ng-option
                                                *ngFor="let item of data.province$"
                                                [value]="item">
                                                {{ item.name[appService.lang] | titlecase }}
                                            </ng-option>
                                        </ng-select>
                                    </div>
                                </div>
                                <div class="form-group row w-100 mb-1">
                                    <label
                                        class="col-form-label col-form-label-sm pl-0 regular"
                                        for="col-deliaddress-district">
                                        {{ 'address.district' | translate | titlecase }}
                                    </label>
                                    <div class="col">
                                        <i class="fas fa-circle-notch fa-spin mt-2 mb-044" *ngIf="deliAddress.formField.district.isLoading"></i>
                                        <ng-select
                                            class="size-sm"
                                            name="col-deliaddress-district"
                                            placeholder="{{ 'placeholder.selectItem' | translate | titlecase }}"
                                            [(ngModel)]="deliAddress.formField.district.selected"
                                            (ngModelChange)="watchChange()"
                                            (change)="deliAddress.getListSubdistrict()"
                                            *ngIf="!deliAddress.formField.district.isLoading">
                                            <ng-option
                                                *ngFor="let item of data.district$"
                                                [value]="item">
                                                {{ item.name[appService.lang] | titlecase }}
                                            </ng-option>
                                        </ng-select>
                                    </div>
                                </div>
                                <div class="form-group row w-100 mb-1">
                                    <label
                                        class="col-form-label col-form-label-sm pl-0 regular"
                                        for="col-deliaddress-subdistrict">
                                        {{ 'address.subdistrict' | translate | titlecase }}
                                    </label>
                                    <div class="col">
                                        <i class="fas fa-circle-notch fa-spin mt-2 mb-044" *ngIf="deliAddress.formField.subdistrict.isLoading"></i>
                                        <ng-select
                                            class="size-sm"
                                            placeholder="{{ 'placeholder.selectItem' | translate | titlecase }}"
                                            name="col-deliaddress-subdistrict"
                                            [(ngModel)]="deliAddress.formField.subdistrict.selected"
                                            (ngModelChange)="watchChange()"
                                            *ngIf="!deliAddress.formField.subdistrict.isLoading">
                                            <ng-option
                                                *ngFor="let item of data.subdistrict$"
                                                [value]="item">
                                                {{ item.name[appService.lang] | titlecase }}
                                            </ng-option>
                                        </ng-select>
                                    </div>
                                </div>
                                <div class="form-group row w-100 mb-1">
                                    <label
                                        class="col-form-label col-form-label-sm pl-0 regular"
                                        for="col-deliaddress-postalcode">
                                        {{ 'address.postalCode' | translate | titlecase }}
                                    </label>
                                    <div class="col">
                                        <input
                                            trimOnBlur
                                            type="text"
                                            class="form-control form-control-sm regular"
                                            name="col-deliaddress-postalcode"
                                            [(ngModel)]="deliAddress.formField.postalCode"
                                            (ngModelChange)="watchChange()"
                                        />
                                    </div>
                                </div>
                                <div class="form-group row w-100">
                                    <label
                                        class="col-form-label col-form-label-sm pl-0 regular"
                                        for="col-deliaddress-phoneNumber">
                                        {{ 'phone' | translate | titlecase }}
                                    </label>
                                    <div class="col">
                                        <input
                                            trimOnBlur
                                            type="text"
                                            class="form-control form-control-sm regular"
                                            name="col-deliaddress-phoneNumber"
                                            [(ngModel)]="deliAddress.formField.phoneNumber"
                                            (ngModelChange)="watchChange()"
                                        />
                                    </div>
                                </div>
                            </div>
                        </div>
                    </td>
                </tr>
            </tbody>
            <tfoot>
                <tr>
                    <td
                        colspan="2"
                        class="border-0 p-0">
                        <div class="d-table w-100 border border-right-0 border-bottom-0 border-left-0 border-white mt-2 size18">
                            <div class="d-table-cell w-auto pt-25 bold col-total">
                                {{ 'total.amount' | translate | titlecase }}
                            </div>
                            <div class="d-table-cell pt-25 bold text-right col-total-amount">
                                {{ feeType.totalFeeAmount ? ((feeType.totalFeeAmount | number: '.2') + ' ' + ('unit.baht' | translate | titlecase)) : '' }}
                            </div>
                        </div>
                    </td>
                </tr>
            </tfoot>
        </table>
    </div>
</ng-template>
<ng-template
    #seatAmountInfo
    let-data="data">
    <div class="project-seatamount-info">
        <ngb-progressbar
            type="success"
            [value]="data.seatTotal - data.seatAvailable"
            [max]="data.seatTotal">
        </ngb-progressbar>
        <div class="seatamount d-table w-100">
            <div class="d-table-cell">
                <span class="bold text-black-50 size14">
                    <span class="regular text-dark">
                        {{ 'project.progress.seat' | translate | lowercase }}
                    </span>
                    {{ (data.seatTotal | number) }} / {{ ((data.seatTotal - data.seatAvailable) | number) }}
                </span>
            </div>
            <div class="d-table-cell w-auto text-right">
                <span class="bold text-black-50 size14">
                    <span class="regular text-dark">
                        {{ 'project.progress.available' | translate | lowercase }}
                    </span>
                    {{ data.seatAvailable | number }}
                </span>
            </div>
        </div>
    </div>
</ng-template>
